edu.sc.seis.sod.validator.model

## Class Ref

- java.lang.Object
- - edu.sc.seis.sod.validator.model.Ref

- All Implemented Interfaces:
    FormProvider

      public class Ref
      extends java.lang.Object
      implements FormProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ref(Grammar owner)`
    `Ref(Grammar owner, java.lang.String name)`
    `Ref(Grammar owner, java.lang.String name, Form parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FormProvider` | `copyWithNewParent(Form newParent)`
    `Definition` | `getDef()`
    `Form` | `getForm()`
    `int` | `getMax()`
    `int` | `getMin()`
    `java.lang.String` | `getName()`
    `int` | `hashCode()`
    `void` | `setAnnotation(Annotation ann)`
    `void` | `setMax(int max)`
    `void` | `setMin(int min)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Ref

          public Ref(Grammar owner)

    - #### Ref

          public Ref(Grammar owner,
                     java.lang.String name)

    - #### Ref

          public Ref(Grammar owner,
                     java.lang.String name,
                     Form parent)

  - ### Method Detail

    - #### copyWithNewParent

          public FormProvider copyWithNewParent(Form newParent)

      Specified by:
        `copyWithNewParent` in interface `FormProvider`

    - #### getForm

          public Form getForm()

      Specified by:
        `getForm` in interface `FormProvider`

    - #### getName

          public java.lang.String getName()

    - #### getDef

          public Definition getDef()

    - #### getMin

          public int getMin()

      Specified by:
        `getMin` in interface `FormProvider`
      Returns:
        the minimum number of times this Form can appear

    - #### setMin

          public void setMin(int min)

      Specified by:
        `setMin` in interface `FormProvider`

    - #### getMax

          public int getMax()

      Specified by:
        `getMax` in interface `FormProvider`
      Returns:
        the maximum number of times this Form can appear

    - #### setAnnotation

          public void setAnnotation(Annotation ann)

      Specified by:
        `setAnnotation` in interface `FormProvider`

    - #### setMax

          public void setMax(int max)

      Specified by:
        `setMax` in interface `FormProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`